Support » Algemene WordPress vragen » error site en log in

  • geachte forum leden,

    ik heb al een beetje zitten rond neuzen maar voordat ik iets fout doe via ftp toch maar even de vraag.

    Ik krijg de volgende fout melding zowel bij url als log in
    wat ik begrijp is dat er waarschijnlijk een fout ontstaat met de plug in photocrati maar hoe verhelp ik dit ?

    BVD !!!!

    Error thrown

    Class ‘C_Photocrati_Global_Settings_Manager’ not found

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

15 reacties aan het bekijken - 1 tot 15 (van in totaal 19)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Hoi @bakkie69,

    Hernoem enkel de map van de plugin even naar een tijdelijk andere naam via FTP en kijk of de site het terug doet.

    Los daarvan is je installatie of update wellicht niet goed gelopen, wat is er voor het ontstaan veranderd?

    Jeroen

    • Deze reactie is gewijzigd 1 jaar, 5 maanden geleden door  Jeroen Rotty.

    Hey jeroen

    map hernoemen geeft geen effect
    Ik kan zien in de files dat er in feb een update geweest is.
    zonder in te loggen kan ik ook geen back up terug halen

    hoor graag

    gr

    marco

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Hernoem eens de volledige plugin map.

    Jeroen

    hey jeroen

    gedaan , log in werkte daarna.
    Site is toen gaan updaten en scherm op wit gegaan.
    inloggen lukte daarna weer niet, scherm bleef blank zonder log in velden.

    tks voor je hulp so far !!

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Als het nog steeds een wit scherm is, ga dan even in wp-config.php WP_DEBUG op ‘true’ gaan zetten, opslaan en dan zie je i.p.v. een wit scherm de PHP error.

    Jeroen

    Warning: require_once(vendor/wordfence/wf-waf/src/init.php): failed to open stream: No such file or directory in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/plugins/wordfence/wordfence.php on line 52 Fatal error: require_once(): Failed opening required ‘vendor/wordfence/wf-waf/src/init.php’ (include_path=’.:/usr/share/php’) in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/plugins/wordfence/wordfence.php on line 52

    marco

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Verwijder WordFence eens volledig (de map via FTP) en dan proberen terug in je website te geraken.

    Als alles daarna goed loopt kan je WordFence opnieuw installeren en kijken of je site het blijft doen. ‘No such file or directory’ is het teken dat hij een bestand niet vind, mogelijks is er iets misgelopen bij een update van WordFence.

    Jeroen

    jeroen sorry maar krijg u dit.
    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Contact_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/contact.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Content_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/content.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Post_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/post.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Slider_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/slider.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Dawg_Post_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/plugins/layers-dawg-ct-cpt/widgets/layers_dawg_post_widget.php on line 16 Notice: De aangeroepen constructiemethode voor WP_Widget in Layers_Dawg_Post_Widget is niet meer in gebruik sinds versie 4.3.0. Gebruik in plaats daarvan:
    __construct()
    . in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/functions.php on line 3902 Warning: Cannot modify header information – headers already sent by (output started at /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/contact.php:10) in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/pluggable.php on line 1216

    je support word super op prijs gesteld door deze amateur

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Al deze waarschuwing zijn door oude code in je thema/plugins, die daar niet staan als WP_DEBUG weer uit staat. Maar dat geeft wel aan dat je thema/plugins oude code huisvesten en dus ofwel al lang niet meer zijn bijgewerkt of volgens code standaarden schrijven.

    Jeroen

    oke , heb je enig idee of ik een backup kan terug zetten via ftp of stel ik nu een hele stomme vraag ?.

    ik begrijp dat ik anders het geheel opnieuw moet opbouwen daar er waarschijnlijk met updates iets heel fout is gegaan ?.

    bvd

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Laat die waarschuwing voor wat ze zijn, je site operationeel krijgen door eerst even WordFence te verwijderen en daarna te herinstalleren, heb je dat nu al geprobeerd?

    Jeroen

    word fence had ik al verwijderd ( de map )
    daarna kreeg ik deze meldingen
    wordfence moet ik dus nu via one.com weer toevoegen ( mapjes plus files ) begrijp ik

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Kan je na het verwijderen van WordFence niet terug in je website geraken?
    De herinstallatie kan gerust vanuit je dashboard.

    Jeroen

    nee na wordfence verwijdering krijg ik het hele melding lijstje zoals onder :

    gr

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Contact_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/contact.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Content_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/content.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Post_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/post.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Slider_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/slider.php on line 10 Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; Layers_Dawg_Post_Widget has a deprecated constructor in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/plugins/layers-dawg-ct-cpt/widgets/layers_dawg_post_widget.php on line 16 Notice: De aangeroepen constructiemethode voor WP_Widget in Layers_Dawg_Post_Widget is niet meer in gebruik sinds versie 4.3.0. Gebruik in plaats daarvan:
    __construct()
    . in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/functions.php on line 3902 Warning: Cannot modify header information – headers already sent by (output started at /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/themes/layerswp/core/widgets/modules/contact.php:10) in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/pluggable.php on line 1216

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Maar kan je al op de site?

    Gewoon even WP_DEBUG op false zetten, deze meldingen zijn waarschuwing en geen fouten.

    + draai je al de nieuwste versie van je thema en plugins?

    Jeroen

    • Deze reactie is gewijzigd 1 jaar, 5 maanden geleden door  Jeroen Rotty.
15 reacties aan het bekijken - 1 tot 15 (van in totaal 19)
  • Het onderwerp ‘error site en log in’ is gesloten voor nieuwe reacties.